package eu.mhsl.minecraft.pixelpics.render.model;

import eu.mhsl.minecraft.pixelpics.render.util.Intersection;
import org.bukkit.block.Block;

public interface Model {

	Intersection intersect(Block block, Intersection currentIntersection);

	double getTransparencyFactor();

	double getReflectionFactor();

	boolean isOccluding();
}
